Subject: Re: iproute2: silence errors about kernel missing 6rd on "ip tun show".

From: Stephen Hemminger <[email-masked]>
Date: Wed, 31 Mar 2010 16:06:42 -0700

On Wed, 31 Mar 2010 10:08:54 +0200
Andreas Henriksson <[email-masked]> wrote:

> Hello!
> 
> As reported in http://bugs.debian.org/575970 there is currently a warning
> printed for every tunnel when using latest iproute2 on atleast <= 2.6.32
> kernels (missing 6rd?!).
> 
> The attached patch avoids perror when errno is EINVAL, which I assume
> is the way to detect missing 6rd support. A better/cleaner
> method to detect and avoid 6rd when there's no kernel support
> is more then welcome.
> 
> Regards,
> Andreas Henriksson
> 

I will wait (a little while) to see if Alexandre has a preferred alternative.